__gnu_pbds::detail::pat_trie_base::_Head< _ATraits, Metadata > Struct Template Reference
Inheritance diagram for __gnu_pbds::detail::pat_trie_base::_Head< _ATraits, Metadata >:
[legend]

## Public Types

typedef _Alloc::template rebind< _ATraits > | __rebind_at
typedef _Alloc::template rebind< _Node_base > | __rebind_n
typedef _ATraits::const_iterator | a_const_iterator
typedef __rebind_at::other::const_pointer | a_const_pointer
typedef _ATraits | access_traits
typedef _Alloc | allocator_type
typedef _Node_base< _ATraits, Metadata > | base_type
typedef base_type::node_pointer | node_pointer
typedef base_type::type_traits | type_traits

## Public Attributes

node_pointer | m_p_max
node_pointer | m_p_min
node_pointer | m_p_parent
const node_type | m_type

## Detailed Description

### template<typename _ATraits, typename Metadata>
struct __gnu_pbds::detail::pat_trie_base::_Head< _ATraits, Metadata >

Head node for PATRICIA tree.

Definition at line 131 of file pat_trie_base.hpp.

The documentation for this struct was generated from the following file:

- pat_trie_base.hpp